- [HTTP request](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/get.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/get.md.txt#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/get.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/get.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/get.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/get.md.txt#body.aspect_1)

Gets details of a single DataAgent.

### HTTP request

`GET https://geminidataanalytics.googleapis.com/v1/{name=projects/*/locations/*/dataAgents/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the resource. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `DataAgent`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `geminidataanalytics.dataAgents.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).